Subject: bug#13402: 24.2.92 pretest: bugs in isearch-yank-line in info page

From: Juri Linkov <[email-masked]>
Date: Fri, 11 Jan 2013 02:43:16 +0200

> C-u C-h i
> Enter path/to/elisp.info <CR>
> g Syntax Table Internals
>
> 1. Place point at the start of the first paragraph ("Syntax tables are
> implemented ...").  Attempt C-s M-s C-e (isearch-yank-line).  This
> produces the error message:
>
> Failing I-search: syntax tables are implemented as char-tables (*note char-tables::), but [end of node]

Info hides the text "*note Char-Tables::" and uses the text property `display'
to put another text "(see Char-Tables)" instead.  Some users complained
when isearch-yank-line yanked invisible text "*note", so now it ignores
invisible text.  But it seems ignoring invisible text is worse than yanking.
So perhaps `Info-isearch-filter' shouldn't skip invisible text.